Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 453988 - [RHEL4/Evo28] ORBit2/ Evolution hangs on task and calendar
Summary: [RHEL4/Evo28] ORBit2/ Evolution hangs on task and calendar
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ORBit2
Version: 4.7
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Dan Winship
QA Contact: desktop-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks: 453989
TreeView+ depends on / blocked
 
Reported: 2008-07-03 17:30 UTC by ritz
Modified: 2012-06-20 16:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 16:12:55 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 341238 None None None Never

Description ritz 2008-07-03 17:30:28 UTC
Description of problem:
Evolution hangs on task and calendar

evo28 bt
(gdb) t a a bt
Thread 1 (Thread -1209149760 (LWP 8855)):
#0  0x009ef7a2 in ?? () at rtld.c:577 from /lib/ld-linux.so.2
#1  0x00ac8364 in *__GI___poll (fds=0xb30ff4, nfds=7, timeout=-1)
    at ../sysdeps/unix/sysv/linux/poll.c:86
#2  0x00437189 in g_main_context_iterate (context=0x9984858, block=1, 
    dispatch=1, self=0x9961ad0) at gmain.c:2979
#3  0x0043766a in IA__g_main_context_iteration (context=0x9984858, may_block=1)
    at gmain.c:2736
#4  0x035e8a41 in link_main_iteration () from /usr/lib/libORBit-2.so.0
#5  0x035cd36f in giop_recv_buffer_get () from /usr/lib/libORBit-2.so.0
#6  0x035d0bb8 in ORBit_small_invoke_stub () from /usr/lib/libORBit-2.so.0
#7  0x035d0da9 in ORBit_small_invoke_stub_n () from /usr/lib/libORBit-2.so.0
#8  0x035e33a7 in ORBit_c_stub_invoke () from /usr/lib/libORBit-2.so.0
#9  0x08051a8e in
GNOME_Evolution_DataServer_InterfaceCheck__get_interfaceVersion
(_obj=0xfffffffc, ev=0xfffffffc) at Evolution-DataServer-stubs.c:15
#10 0x0805ec21 in idle_cb (data=0x0) at main.c:156
#11 0x00438942 in g_idle_dispatch (source=0x9b3cda0, callback=0x7fffffff, 
    user_data=0xfffffffc) at gmain.c:3926
#12 0x004359da in IA__g_main_context_dispatch (context=0x9983880)
    at gmain.c:2045
#13 0x004371f8 in g_main_context_iterate (context=0x9983880, block=1, 
    dispatch=1, self=0x9961ad0) at gmain.c:2677
#14 0x0043751f in IA__g_main_loop_run (loop=0x9a7e038) at gmain.c:2881
#15 0x036eadd5 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#16 0x0805f230 in main (argc=2, argv=0xbff965e4) at main.c:613
(gdb) c


eds bt
Thread 3 (Thread -1221100640 (LWP 8661)):
#0  0x009ef7a2 in ?? () at rtld.c:577 from /lib/ld-linux.so.2
#1  0x00155cf6 in ?? () from /lib/tls/libpthread.so.0
#2  0x035cd3e5 in giop_recv_buffer_get () from /usr/lib/libORBit-2.so.0
#3  0x035d0bb8 in ORBit_small_invoke_stub () from /usr/lib/libORBit-2.so.0
#4  0x035d0da9 in ORBit_small_invoke_stub_n () from /usr/lib/libORBit-2.so.0
#5  0x035e33a7 in ORBit_c_stub_invoke () from /usr/lib/libORBit-2.so.0
#6  0x008c7106 in Bonobo_ActivationContext_query ()
   from /usr/lib/libbonobo-activation.so.4
#7  0x008c8dcb in bonobo_activation_query ()
   from /usr/lib/libbonobo-activation.so.4
#8  0x00c617ad in e_book_new (source=0x958d750, error=0x0) at e-book.c:3218
#9  0x0092258a in add_source (cbc=0xfffffffc, source=0x1)
    at e-cal-backend-contacts.c:95
#10 0x009233fc in source_group_added_cb (source_list=0x95816d0, 
    group=0x958d720, user_data=0x958c798) at e-cal-backend-contacts.c:296
#11 0x0092351b in e_cal_backend_contacts_open (backend=0x958c798, 
    cal=0x955e5b0, only_if_exists=0, username=0x9590281 "", 
    password=0x958ffa1 "") at e-cal-backend-contacts.c:749
#12 0x00128c8f in e_cal_backend_sync_open (backend=0x958c798, cal=0x955e5b0, 
    only_if_exists=0, username=0x9590281 "", password=0x958ffa1 "")
    at e-cal-backend-sync.c:186
#13 0x00128d67 in _e_cal_backend_open (backend=0xfffffffc, cal=0x955e5b0, 
    only_if_exists=1, username=0x1 <Address 0x1 out of bounds>, 
    password=0x1 <Address 0x1 out of bounds>) at e-cal-backend-sync.c:706
#14 0x00121aa1 in e_cal_backend_open (backend=0x958c798, cal=0x1, 
    only_if_exists=1, username=0x1 <Address 0x1 out of bounds>, 
    password=0x1 <Address 0x1 out of bounds>) at e-cal-backend.c:616
#15 0x00129f2b in impl_Cal_open (servant=0x955e5c4, only_if_exists=0 '\0', 
    username=0x1 <Address 0x1 out of bounds>, 
    password=0x1 <Address 0x1 out of bounds>, ev=0xb73772a0) at e-data-cal.c:81
#16 0x0011c618 in _ORBIT_skel_small_GNOME_Evolution_Calendar_Cal_open (
    _o_servant=0xfffffffc, _o_retval=0x0, _o_args=0x1, _o_ctx=0xb73771d0, 
    _o_ev=0xfffffffc, _impl_open=0x129ed4 <impl_Cal_open>)
    at Evolution-DataServer-Calendar-common.c:117
#17 0x035dfced in ORBit_POA_setup_root () from /usr/lib/libORBit-2.so.0
#18 0x035e491f in ORBit_OAObject_invoke () from /usr/lib/libORBit-2.so.0
#19 0x035d0f77 in ORBit_small_invoke_adaptor () from /usr/lib/libORBit-2.so.0
#20 0x035e00f2 in ORBit_POAObject_post_invoke () from /usr/lib/libORBit-2.so.0
#21 0x035e0772 in ORBit_POAObject_post_invoke () from /usr/lib/libORBit-2.so.0
#22 0x035cb4a1 in giop_thread_queue_process () from /usr/lib/libORBit-2.so.0
#23 0x035cb568 in giop_thread_queue_process () from /usr/lib/libORBit-2.so.0
#24 0x002f17df in g_thread_pool_thread_proxy (data=0x955ae78)
    at gthreadpool.c:265
#25 0x002efa46 in g_thread_create_proxy (data=0x95806c8) at gthread.c:553
#26 0x001533cc in start_thread (arg=0xb7377ba0) at pthread_create.c:274
#27 0x00ad21ae in ?? () from /lib/tls/libc.so.6

exchange connector seems to be doing nothing 


Version-Release number of selected component (if applicable):
evolution28-2.8.0-59.el4
evolution28-evolution-data-server-1.8.0-41

How reproducible:
frequent

Steps to Reproduce:
n/a  

Actual results:
evo hung

Expected results:
evo should not hang

Additional info:

suspected fix 
http://bugzilla.gnome.org/show_bug.cgi?id=341238
Patch - 
http://bugzilla.gnome.org/attachment.cgi?id=66646

fixing this leads to another bug gnome #506457

Comment 3 RHEL Product and Program Management 2008-10-31 16:50:14 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 4 Jiri Pallich 2012-06-20 16:12:55 UTC
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.


Note You need to log in before you can comment on or make changes to this bug.